summaryrefslogtreecommitdiff
path: root/distro/ubuntu/build
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 22:49:12 -0300
committerPerberos <[email protected]>2011-12-01 22:49:12 -0300
commit781b0ff3f74abd6f5353b6d08763bbba93f2f21c (patch)
tree20c130b413586219356ec360efb5918a498cee69 /distro/ubuntu/build
downloadmate-notification-daemon-781b0ff3f74abd6f5353b6d08763bbba93f2f21c.tar.bz2
mate-notification-daemon-781b0ff3f74abd6f5353b6d08763bbba93f2f21c.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'distro/ubuntu/build')
-rwxr-xr-xdistro/ubuntu/build35
1 files changed, 35 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..d059d32
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-notification-daemon
+pkgver=2011.10.29
+pkgrel=1
+pkgdesc="Notification daemon for MATE"
+#depends="libmatenotify"
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ automake
+ autoreconf -i --force
+ intltoolize --copy --force --automake --debug
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static \
+ --libexecdir=/usr/lib/mate-notification-daemon \
+ --disable-schemas-install || return 1
+
+ make || return 1
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh